<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license PHP License 3.0
 * @version    2.0 build:20090203
 * @link       http://www.qt-cute/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( !isset($_SESSION[QT]['m_rss']) ) die($L['E_access']);

$arrConf = explode(' ',$_SESSION[QT]['m_rss_conf']);
$strUser = $arrConf[0];
$strForm = $arrConf[1];
$strSize = $arrConf[2];

if ( $strUser=='V' ) { $str='MUV'; } else { $str='MU'; }
if ( !$oVIP->CanAccess($str) ) die($L['E_access']);

// INITIALISE

include(Translate('qtim_rss.php'));

$oVIP->selfurl = 'qtim_rss.php';
$oVIP->selfname = $L['rss']['Rss'];

$strRssUrl = $_SESSION[QT]['site_url'].'/rss';

$arrDomains = GetDomains();
$arrSections = GetSectionTitles($oVIP->role);
$intN=0;
$strHeadScript = '';
foreach ($arrSections as $intSecid => $strSectitle)
{
  $intN++;
  $oSection = new cSection($intSecid);
  if ($oSection->type==2) continue;
  $strHeadScript .= '<link rel="alternate" type="application/rss+xml" title="'.QTconv($strSectitle,'1').'" href="'.$strRssUrl.'/qti_'.$strForm.'_'.$intSecid.'.xml"/>'.N;
}

// --------
// HTML START
// --------

$bJava=false;

include('qti_p_header.php');

  // END IF NO DOMAIN
  if (count($arrDomains)==0)
  {
  echo '<h2>',$oVIP->selfname,'</h2>',N;
  echo '<p>',$L['rss']['E_nosection'],'</p>';
  include('qti_p_footer.php');
  exit;
  }

// TITLE & version
$str = '2.0';
if ( $strForm=='atom' ) $str='Atom 1.0';

echo '<h2>',$oVIP->selfname,'</h2>
<p>RSS ',$str,'</p>
';

// DISPLAY

foreach($arrDomains as $intDomid=>$strDomtitle)
{
  echo '<br/>';
  echo '<!-- domain ',$intDomid,': ',$strDomtitle,' -->';
  echo '<table class="ta" cellspacing="0">';
  echo '<colgroup span="3">';
  echo '<col width="35"></col>';
  echo '<col></col>';
  echo '<col width="400"></col>';
  echo '</colgroup>';
  echo '<tr>';
  echo '<th class="th_s th_s_ico th_s_first">&nbsp;</th>';
  echo '<th class="th_s th_s_tit">',$strDomtitle,'</th>';
  echo '<th class="th_s th_s_inf th_s_last">',$L['rss']['Url'],'</th>';
  echo '</tr>';

  // SHOW FORUMS

  $arrSections = GetSectionTitles($oVIP->role,$intDomid);

  $intN=0;
  $alt='1';

  foreach ($arrSections as $intSecid => $strSectitle)
  {
    $intN++;
    $oSection = new cSection($intSecid);
    if ( $oSection->type==2 ) continue;
    echo '<tr class="tr_t">';
    echo '<td class="td_s td_s_ico',$alt,'">'.AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSection->type.'_'.$oSection->status.'.gif','F',$L['Ico_section_'.$oSection->type.'_'.$oSection->status],'ico ico_s').'</td>';
    echo '<td class="td_s td_s_tit',$alt,'"><a class="section" href="qti_topics.php?s=',$oSection->id,'">',$oSection->name,'</a><br/><span class="sectiondescr">',$oSection->descr,'</span></td>';
    echo '<td class="td_s td_s_inf',$alt,'">';
    echo '<input class="small" type="text" size="60" value="',$strRssUrl,'/qti_',$strForm,'_',$intSecid,'.xml"/><br/>';
    echo '<a href="http://www.google.com/ig/add?feedurl=',$strRssUrl,'/qti_2_',$intSecid,'.xml"><img src="admin/rss_google.gif" width="104" height="17" style="vertical-align:bottom;border-width:0" alt="add to Google" title="add to Google"/></a>&nbsp;';
    echo '<a href="http://add.my.yahoo.com/content?url=',$strRssUrl,'/qti_2_',$intSecid,'.xml"><img src="admin/rss_yahoo.gif" width="91" height="17" style="vertical-align:bottom;border-width:0" alt="add to my Yahoo" title="add to my Yahoo"/></a>&nbsp;';
    echo '<a href="',$strRssUrl,'/qti_',$strForm,'_',$intSecid,'.xml"><img src="admin/rss.gif" width="34" height="14" style="vertical-align:bottom;border-width:0" alt="rss" title="syndication"/></a>&nbsp;';
    echo '</td>';
    echo '</tr>';
    if ( $alt=='1' ) { $alt='2'; } else { $alt='1'; }
  }

  // no data
  if ($intN==0) echo '<tr><td class="td_s td_s_tit',$alt,'" colspan="5">0 ',$L['Section'],'...</td></tr>';

  echo '<tr>';
  echo '<th class="tf_s tf_s_first"></th>';
  echo '<th class="tf_s"></th>';
  echo '<th class="tf_s tf_s_last"></th>';
  echo '</tr>';
  echo '</table>';

}

echo '<br/>';

// HTML END

if (isset($oSection)) unset($oSection);
include('qti_p_footer.php');

?>